# RemoveBrian2Filter class

(Shortest import: `from brian2.utils.logger import RemoveBrian2Filter)`

class brian2.utils.logger.RemoveBrian2Filter(name='')

  Bases: `Filter`

  A class for removing the `brian2` prefix from log messages. Will be used for extension packages that use the Brian logging system.

  Methods

  `filter`(record) | Determine if the specified record is to be logged.

  Details

  filter(record)

    Determine if the specified record is to be logged.

    Returns True if the record should be logged, or False otherwise. If deemed appropriate, the record may be modified in-place.